// file: $PDSP/class/float_4/v1.0/float_4.h
//

// make sure definitions are only made once
//
#ifndef __ISIP_FLOAT_4
#define __ISIP_FLOAT_4

// isip include files
//
#ifndef __ISIP_INTEGRAL
#include <integral.h>
#endif

// forward class definitions
//
class Sof;

// Float_4: a class that manages 4-byte floating point numbers
//
class Float_4 {

  //---------------------------------------------------------------------------
  //
  // protected data
  //
  //---------------------------------------------------------------------------
protected:

  // internal data - be careful not add anything that isn't absolutely
  // necessary, so that higher level classes (e.g., vector) do not waste space
  //
  float_4 value_d;

  // a counter to keep track of memory allocation
  //
  static int_4 ref_count_d;

  //---------------------------------------------------------------------------
  //
  // public methods
  //
  //---------------------------------------------------------------------------
public:

  // required methods
  //
  char_1* name_cc();
  logical_1 debug_cc(FILE* fp, char_1* message);
  logical_1 error_handler_cc(char_1* method_name, char_1* message);

  // destructors/constructors
  //
  ~Float_4();  
  Float_4();
  Float_4(float_4 arg);

  // in-line methods
  //
  inline operator float_4() {
    return value_d;
  }

  inline Float_4& operator= (float_4 arg) {
    value_d = arg;
    return *this;
  }

  // other useful methods
  //
  logical_1 set_ref_count_cc(int_4 value);
  int_4 get_ref_count_cc();
  int_4 increment_ref_count_cc();
  int_4 decrement_ref_count_cc();

  //---------------------------------------------------------------------------
  //
  // private methods
  //
  //---------------------------------------------------------------------------
private:
};

// end of include file
//
#endif






