// file: $pdsp/src/v1.0/class/fourier_transform/ft_lookup_0.cc
//

// isip include files
//
#include "fourier_transform.h"

//#include <math/integral/integral_constants.h>
#include "fourier_transform_constants.h"

// method: lookup_cc
//
// arguments:
//  float_4* w1_a : real data array
//  float_4* w2_a : imagi. data array
//
// return: void
//
// implements a real discrete fourier transform
//
logical_1 Fourier_transform::lookup_cc(float_4* w1_a, float_4* w2_a) {
  {
    float_4 phi = 0;
    float_4 wn = (float_4)(ISIP_TWOPI/N_d);
    
    for(int i=1; i<N_d+1; i++)
      
      {
	phi = wn*(i-1);
	w1_a[i]=cos(phi);
	w2_a[i]=sin(phi);
      } 
  }
  
  // exit gracefully
  //
  return ISIP_TRUE;
}
