// file: $pdsp/src/v1.0/class/fourier_transform/ft_lookup_1.cc
//
 
// isip include files
//
#include "fourier_transform.h"
#include "fourier_transform_constants.h"
 
// method: srfft_lookup_cc
//
// This code is based on the code by Sitton of the Rice University.
//
// arguments:
//  float_4* cos_a : cosine of the required angle
//  float_4* sin_a : sine of the required angle
//  
// return: logical_1 indicating no error
//
// routine used to create lookup table need for SRFFT computation
//
logical_1 Fourier_transform::srfft_lookup_cc(float_4* cos_a, float_4* sin_a){

  // define local variables
  //
  float_4  q, t;
  int_4    i;
  
  q = ISIP_TWOPI / N_d;
  
  for (i = 0; i < N_d; i++){
    t = q*i;
    cos_a[i] = cos(t);
    sin_a[i] = sin(t);
  }
  
  // exit gracefully
  //
  return ISIP_TRUE;     
}

