// file: $pdsp/src/v1.0/class/fourier_transform/ft_mult_sum_0.cc
//

// isip include files
//
#include "fourier_transform.h"
#include "fourier_transform_constants.h"

// method: mult_sum_cc
//
// arguments: float_4 x_a : multiplicand
//            float_4 y_a : multiplier
//            float_4 sum_a : addendum 
//
// return: a float_4 result of multiply accumulate process
// 
//
float_4 Fourier_transform::mult_sum_cc(float_4 x_a, float_4 y_a,
				       float_4 sum_a) {

  // multiply the numbers
  //
  float_4 sum = mult_cc(x_a, y_a);

  // add the result
  //
  return add_cc(sum, sum_a);
}



