// file: $pdsp/src/v1.0/class/fourier_transform/ft_print_0.cc
//

// isip include files
//
#include "fourier_transform.h"
#include "fourier_transform_constants.h"

// method: print_statistics_cc
//
// arguments:
//  FILE* fp_a: (input) open file pointer for output
//  int_4 stats_a: degree to which statistics are to be printed
//
// return: a logical_1 value indicating status
//
logical_1 Fourier_transform::print_statistics_cc(FILE* fp_a, int_4 stats_a, int_4 num_iter_a) {


  if ( stats_a == 0){
    
    // dump the statistics
    //
    fprintf(fp_a, "\nThe algorithm used was %s :\n", algorithm_name_d);
    fprintf(fp_a, "The average cpu time taken per iteration was %f us\n\n",
	    (float_4)((float_4)cpu_time_d/(float_4)num_iter_a));
  }

  else {
    
    // dump the statistics
    //
    fprintf(fp_a, "\nThe algorithm used was %s :\n", algorithm_name_d);
    fprintf(fp_a, "The number of multiplications per iteration was %ld\n",
	    (int_4)(num_mults_d/(float_4)num_iter_a));
    fprintf(fp_a, "The number of additions per iteration was %ld\n",
	    (int_4)(num_adds_d/(float_4)num_iter_a));
    fprintf(fp_a, "The average cpu time taken per iteration was %f us\n\n",
	    (float_4)(cpu_time_d/(float_4)num_iter_a));
  }
  
  //exit gracefully
  //
  return ISIP_TRUE;
}
