// file: $pdsp/src/v1.0/class/fourier_transform/ft_set_0.cc
//

// isip include files
//
#include "fourier_transform.h"
#include "fourier_transform_constants.h"

// method: set_cc
//
// arguments:
//
//
// return: a logical_1 value indicating status
//
logical_1 Fourier_transform::set_cc(int_4 order_a, int_4 type_a,
				    int_4 num_iter_a, int_4 dbg_level_a,
				    int_4 stats_a, char_1* name_a){


  // set the parameters
  //
  num_iter_d = num_iter_a;
  debug_level_d =  dbg_level_a;
  stats_d = stats_a;
  N_d = order_a;
  data_type_d = type_a;

  
  // check the algorithm
  //
  if (strcmp((char*)name_a, (char*)FT_DFT_NAME) == (int)0) {
    algorithm_name_d = new char_1[strlen((char*)FT_DFT_NAME)];
    strcpy((char*)algorithm_name_d, (char*)FT_DFT_NAME);
    
    // check the type
    //
    if (type_a == FT_REAL) {
      algorithm_d = FT_DFT_REAL;
    }
    else {
      algorithm_d = FT_DFT_COMPLEX;
    }
  }
  
  else if (strcmp((char*)name_a, (char*)FT_RADIX_2_NAME) == (int)0) {
    algorithm_name_d = new char_1[strlen((char*)FT_RADIX_2_NAME)];
    strcpy((char*)algorithm_name_d, (char*)FT_RADIX_2_NAME);

    // check the type
    //
    if (type_a == FT_COMPLEX) {
      algorithm_d = FT_RADIX_2_COMPLEX;
    }
       
    else {
      algorithm_d = FT_RADIX_2_REAL;
    }
  }  
  
  else if (strcmp((char*)name_a, (char*)FT_RADIX_4_NAME) == (int)0) {
    algorithm_name_d = new char_1[strlen((char*)FT_RADIX_4_NAME)];
    strcpy((char*)algorithm_name_d, (char*)FT_RADIX_4_NAME);

    // check the type
    //
    if (type_a == FT_COMPLEX) {
      algorithm_d = FT_RADIX_4_COMPLEX;
    }
       
    else {
      algorithm_d = FT_RADIX_4_REAL;
    }
  }

  else if (strcmp((char*)name_a, (char*)FT_QFT_NAME) == (int)0) {
    algorithm_name_d = new char_1[strlen((char*)FT_QFT_NAME)];
    strcpy((char*)algorithm_name_d, (char*)FT_QFT_NAME);

    // check the type
    //
    if (type_a == FT_COMPLEX) {
      algorithm_d = FT_QFT_COMPLEX;
    }
       
    else {
      algorithm_d = FT_QFT_REAL;
    }
  }

  else if (strcmp((char*)name_a, (char*)FT_FAST_HARTLEY_NAME) == (int)0) {
    algorithm_name_d = new char_1[strlen((char*)FT_FAST_HARTLEY_NAME)];
    strcpy((char*)algorithm_name_d, (char*)FT_FAST_HARTLEY_NAME);

    // check the type
    //
    if (type_a == FT_COMPLEX) {
      algorithm_d = FT_FAST_HARTLEY_COMPLEX;
    }
       
    else {
      algorithm_d = FT_FAST_HARTLEY_REAL;
    }
  }

  else if (strcmp((char*)name_a, (char*)FT_SRFFT_NAME) == (int)0) {
    algorithm_name_d = new char_1[strlen((char*)FT_SRFFT_NAME)];
    strcpy((char*)algorithm_name_d, (char*)FT_SRFFT_NAME);

    // check the type
    //
    if (type_a == FT_COMPLEX) {
      algorithm_d = FT_SRFFT_COMPLEX;
    }
       
    else {
      algorithm_d = FT_SRFFT_REAL;
    }
  }
  
  
  
  
  // exit gracefully
  //
  return ISIP_TRUE;
}
