// file: $PDSP/class/fourier_transform/v1.1/ft_disp_2.cc
//

// isip include files
//
#include "fourier_transform.h"
#include "fourier_transform_constants.h"

// method: display_stats_oper_cc
//
// arguments:
//  FILE* fp_a: (input) file to which statistics should be printed
//  int_4 num_iter_a: (input) number of iterations to accumulate statistics
//
// return: a logical_1 value indicating status
//
// this method displays the mathematical operations statistics
//
logical_1 Fourier_transform::display_stats_oper_cc(FILE* fp_a,
						   int_4 num_iter_a) {

    fprintf(fp_a, FT_OPER_FORMAT, "float multiplications",
	   (int_4)(num_float_mults_d/(float_8)num_iter_a));
    fprintf(fp_a, FT_OPER_FORMAT, "float additions",
	   (int_4)(num_float_adds_d/(float_8)num_iter_a));
    fprintf(fp_a, FT_OPER_FORMAT, "integer multiplications",
	   (int_4)(num_int_mults_d/(float_8)num_iter_a));
    fprintf(fp_a, FT_OPER_FORMAT, "integer additions",
	   (int_4)(num_int_adds_d/(float_8)num_iter_a));
    fprintf(fp_a, FT_OPER_FORMAT, "shifts",
	   (int_4)(num_shifts_d/(float_8)num_iter_a));

    // exit gracefully
    //
    return ISIP_TRUE;
}
