// file: $PDSP/class/fourier_transform/v1.1/ft_get_2.cc
//

// isip include files
//
#include "fourier_transform.h"
#include "fourier_transform_constants.h"

// method: get_stats_cc 
//
// arguments:
//  int_4& num_float_mults_a;			// float multiplication counter
//  int_4& num_float_adds_a;			// float addition counter
//  int_4& num_int_mults_a;			// int multiplication counter
//  int_4& num_int_adds_a;			// int addition counter
//  float_8& cpu_time_a;			// cpu time
//  int_4& memory_usage_a;                       // memory usage
//  int_4& num_shifts_a;                         // number ofinteger shifts
//
// return: a logical_1 value indicating status
//
// this method returns the statistical counts to the user
//
logical_1 Fourier_transform::get_stats_cc(int_4& num_float_mults_a,
					  int_4& num_float_adds_a,
					  int_4& num_int_mults_a,
					  int_4& num_int_adds_a,
					  float_8& cpu_time_a,
					  int_4& memory_usage_a,
					  int_4& num_shifts_a) {
  
  num_float_mults_a = num_float_mults_d;
  num_float_adds_a = num_float_adds_d;
  num_int_mults_a = num_int_mults_d;
  num_int_adds_a = num_int_adds_d;
  cpu_time_a = cpu_time_d;
  memory_usage_a = memory_usage_d;
  num_shifts_a = num_shifts_d;
  
  // exit gracefully
  //
  return ISIP_TRUE;
}



