// file: $PDSP/class/fourier_transform/v1.1/ft_lookup_1.cc
//
 
// isip include files
//
#include "fourier_transform.h"
#include "fourier_transform_constants.h"
 
// method: srfft_lookup_cc
//
// This code is based on the code by Sitton of the Rice University.
//
// arguments:
//  float_8* cos_a : cosine array
//  float_8* sin_a : sine array
//  
// return: logical_1 indicating no error
//
// routine used to create lookup table of cos-sin's needed for split-radix
// fft computation
//
logical_1 Fourier_transform::srfft_lookup_cc(float_8* cos_a, float_8* sin_a){

  // define local variables
  //
  float_8  q, t;
  int_4    i;
  
  q = ISIP_TWOPI / N_d;
  
  for (i = 0; i < N_d; i++){
    t = q*i;
    cos_a[i] = cos(t);
    sin_a[i] = sin(t);
  }
  
  // exit gracefully
  //
  return ISIP_TRUE;     
}

