// file: $PDSP/class/fourier_transform/v1.1/ft_qft_0.h
//

// this is the header for the qft routines
//

// make sure definitions are only made once
//
#ifndef	__FT_QFT_H
#define	__FT_QFT_H

// system include files
//
#include	<math.h>
#include	<stdio.h>
#include	<stdlib.h>

#define	N2		8	// 1/2 minimum qft length
#define	NN		(N2*2)	// minimum qft length
#define	MM		(N2+1)	// minimum pruned length

// QFT external constants	
//
#define	sec0	0.5000000000000000f
#define	sec1	0.5411961001461970f
#define	sec2	0.7071067811865475f
#define	sec3	1.3065629648763763f
#define	sqrt2	sec2


// QFT externals
//
static	float_8** ws;   //	Workspace pointers
static	float_8* sc;	//	Secant table addr.	
static	int_4*   nc;	//	Current QFT length	
static	int_4*   ic;	//	Current secant inc.	
static	int_4*   mc;	//	Current output pruning	
static	int_4	nn;	//	Pruned QFT input length
static	int_4	mm;	//	Pruned QFT output length
static	int_4	ii;	//	Current QFT recursion level

// end of include file
//
#endif



