// file: $PDSP/class/fourier_transform/v1.1/ft_cstr_1.cc
//

// isip include files
//
#include "fourier_transform.h"

#include "fourier_transform_constants.h"
#include <integral_constants.h>

// method: constructor
//
// arguments: none
//
// return: none
//
// this is the default constructor
//
Fourier_transform::Fourier_transform() {

  // initialize protected data
  //
  N_d = (int_4)FT_DEFAULT_ORDER;
  algorithm_d = (int_4)FT_DEFAULT_ALGO_NAME;
  data_type_d = (int_4)FT_DEFAULT_DATA_TYPE;
  
  // intialize the statistical parameters
  //
  num_float_mults_d = (int_4)0;
  num_float_adds_d = (int_4)0;
  num_int_mults_d = (int_4)0;
  num_int_adds_d = (int_4)0;
  cpu_time_d = (float_4)0;
  
  // initialize the debugging parameter
  //
  debug_level_d = ISIP_DEBUG_NONE;

  // exit gracefully
  //
}
