// file: $PDSP/class/fourier_transform/v1.1/ft_disp_0.cc
//

// isip include files
//
#include "fourier_transform.h"
#include "fourier_transform_constants.h"

// method: display_stats_cc
//
// arguments:
//  FILE* fp_a: (input) file to which statistics should be printed
//  int_4 num_iter_a: (input) number of iterations to accumulate statistics
//  int_4 stats_a: (input) number indicating level of statistics to display
//
// return: a logical_1 value indicating status
//
// this method displays the statistics of the computations to varying levels
//
logical_1 Fourier_transform::display_stats_cc(FILE* fp_a, int_4 num_iter_a,
					      int_4 stats_a) {

  // string to hold the algorithm name
  //
  char_1* algo_name_a = new char_1[ISIP_MAX_STRING_LENGTH];

  // get the name of the algorithm
  //
  get_algorithm_name_cc(algo_name_a);

  // if stats are needed then print the algorithm name used
  //
  fprintf(fp_a,"\nthe algorithm used was %s :\n", (char*)algo_name_a);

  // print all statistics if this condition is met
  //
  if ( FT_STAT_LEVEL_DETAILED < stats_a )
    display_stats_oper_cc(fp_a,num_iter_a);

  // print only memory and cpu statistics if this condition is met
  //
  if ( FT_STAT_LEVEL_BRIEF < stats_a )
    display_stats_mem_cc(fp_a, num_iter_a);

  // print only cpu statistics if this condition is met
  //
  if ( FT_STAT_LEVEL_NONE < stats_a )
    display_stats_cpu_cc(fp_a, num_iter_a);    

  // delete memory
  //
  delete [] algo_name_a;
  
  //exit gracefully
  //
  return ISIP_TRUE;
}
