// file: $PDSP/class/fourier_transform/v1.1/ft_get_0.cc
//

// isip include files
//
#include "fourier_transform.h"
#include "fourier_transform_constants.h"

// method: get_algorithm_name_cc 
//
// arguments:
//         char_1* algorithm_name : (output) numeric equivalent of the algorithm 
//
// return: a logical_1 value indicating status
//
// this method gets the name of the fft algorithm being used
//
logical_1 Fourier_transform::get_algorithm_name_cc(char_1* algorithm_name_a) {

  // check the algorithm
  //
  if ((algorithm_d == FT_DFT_COMPLEX) || (algorithm_d == FT_DFT_REAL)) {
    strcpy((char*)algorithm_name_a,(char*)FT_DFT_NAME);
  }
  
  else if ((algorithm_d == FT_RADIX_2_COMPLEX) || (algorithm_d == FT_RADIX_2_REAL)) {
    strcpy((char*)algorithm_name_a,(char*)FT_RADIX_2_NAME);
  }
  
  else if ((algorithm_d == FT_RADIX_4_COMPLEX) || (algorithm_d == FT_RADIX_4_REAL)) {
    strcpy((char*)algorithm_name_a,(char*)FT_RADIX_4_NAME);
  }
  
  else if ((algorithm_d == FT_FHT_COMPLEX) || (algorithm_d == FT_FHT_REAL)) {
    strcpy((char*)algorithm_name_a,(char*)FT_FHT_NAME);
  }

  else if ((algorithm_d == FT_SRFFT_COMPLEX) || (algorithm_d == FT_SRFFT_REAL)) {
    strcpy((char*)algorithm_name_a,(char*)FT_SRFFT_NAME);
   }

  else if ((algorithm_d == FT_QFT_COMPLEX) || (algorithm_d == FT_QFT_REAL)) {
    strcpy((char*)algorithm_name_a,(char*)FT_QFT_NAME);
   }
  
  else if ((algorithm_d == FT_DITF_COMPLEX) || (algorithm_d == FT_DITF_REAL)) {
    strcpy((char*)algorithm_name_a,(char*)FT_DITF_NAME);
  }

  else {
    return ISIP_FALSE;
  }
  
  // exit gracefully
  //
  return ISIP_TRUE;
}

