// file: $PDSP/class/fourier_transform/v1.1/ft_lookup_0.cc
//

// isip include files
//
#include "fourier_transform.h"
#include "fourier_transform_constants.h"

// method: lookup_cc
//
// arguments:
//  float_4* w1_a : cosine array
//  float_4* w2_a : sine array
//
// return: logical_1 indicating status 
//
// implements a lookup table to precompute the cos-sin values needed
// for radix-2 fft computation
//
logical_1 Fourier_transform::lookup_cc(float_4* cos_a, float_4* sin_a) {
  
  float_4 phi = 0;
  float_4 wn = (float_4)(ISIP_TWOPI/N_d);
  
  for(int_4 i=1; i<N_d+1; i++){
    phi = wn*(i-1);
    cos_a[i-1]=cos(phi);
    sin_a[i-1]=sin(phi);
  } 
  
  // exit gracefully
  //
  return ISIP_TRUE;
}
