// file: $PDSP/class/fourier_transform/v1.1/ft_pow_0.cc
//
 
// isip include files
//
#include "fourier_transform.h"
#include "fourier_transform_constants.h"
 
// method: powof2_cc
//
// This code is based on the code by Sitton of the Rice University.
//
// arguments: none
//  
// return: log base 2 of n; if n  = 2**m, m = powof2(n).
//
// routine used to find number of stages in a FFT computation.
//
int_4 Fourier_transform::powof2_cc(){
  
  // define local variables
  //
  int_4	i, m;
  i = 1;
  m = 0;
  
  while (i < N_d){
    i = (int_4)(i+i);
    m = (int_4)(m+1);
  }

  // if not power of two return -1
  //
  if (i!= N_d){
    return -1;
  }
  
  // exit gracefully
  //
  return m;
  
}










































