// file: $PDSP/class/fourier_transform/v1.1/ft_set_2.cc
//

// isip include files
//
#include "fourier_transform.h"
#include "fourier_transform_constants.h"

// method: set_cc (overloaded)
//
// arguments:
//         int_4 order_a : (input) order of the transform
//         int_4 name_a : (input) corresponds to name of the algorithm to
//                                be tested
//         int_4 type_a  : (input) type of data ( real/complex )
//			   
//
//
// return: a logical_1 value indicating status
//
// this method sets the parameters which are provided by the used
// from the command line
//
logical_1 Fourier_transform::set_cc( int_4 order_a, int_4 name_a,
				     int_4 type_a ) {
  // set the parameters
  //
  N_d = order_a;
  data_type_d = type_a;
  
  // check the algorithm
  //
  if (name_a == FT_DFT){
    
    // check the type
    //
    if (type_a == FT_REAL) {
      algorithm_d = FT_DFT_REAL;
    }
    else {
      algorithm_d = FT_DFT_COMPLEX;
    }
  }
  
  else if (name_a == FT_RADIX_2){

    // check the type
    //
    if (type_a == FT_COMPLEX) {
      algorithm_d = FT_RADIX_2_COMPLEX;
    }
       
    else {
      algorithm_d = FT_RADIX_2_REAL;
    }
  }  
  
  else if (name_a == FT_RADIX_4){

    // check the type
    //
    if (type_a == FT_COMPLEX) {
      algorithm_d = FT_RADIX_4_COMPLEX;
    }
       
    else {
      algorithm_d = FT_RADIX_4_REAL;
    }
  }

  else if (name_a == FT_FHT){

    // check the type
    //
    if (type_a == FT_COMPLEX) {
      algorithm_d = FT_FHT_COMPLEX;
    }
       
    else {
      algorithm_d = FT_FHT_REAL;
    }
  }

  else if (name_a == FT_SRFFT){

    // check the type
    //
    if (type_a == FT_COMPLEX) {
      algorithm_d = FT_SRFFT_COMPLEX;
    }
       
    else {
      algorithm_d = FT_SRFFT_REAL;
    }
  }

  else if (name_a == FT_QFT){

    // check the type
    //
    if (type_a == FT_COMPLEX) {
      algorithm_d = FT_QFT_COMPLEX;
    }
       
    else {
      algorithm_d = FT_QFT_REAL;
    }
  }
  
  else if (name_a == FT_DITF){

    // check the type
    //
    if (type_a == FT_COMPLEX) {
      algorithm_d = FT_DITF_COMPLEX;
    }
       
    else {
      algorithm_d = FT_DITF_REAL;
    }
  }

  // exit gracefully 
  //
  return ISIP_TRUE;
}



