// file: $PDSP/class/fourier_transform/v1.1/ft_shift_0.cc
//

// isip include files
//
#include "fourier_transform.h"
#include "fourier_transform_constants.h"

// method: shift_cc
//
// arguments:
//          int_4 direction_a: (input) direction of shift
//          int_4 data_a     : (input) data to be operated on
//          int_4 shift_a    : (input) number of shifts
//
//
// return: an int_4 result of a shift
// 
// this method implements the binary shift
//
int_4 Fourier_transform::shift_cc(int_4 direction_a, int_4 data_a,
				  int_4 shift_a){

  // increment number of shifts 
  //
  num_shifts_d += shift_a;

  // depending on direction do the necessary shift
  //
  if (direction_a == FT_RIGHT){
    return data_a>>shift_a;
  }
  
  else {
    return data_a<<shift_a;
  }
}
