// file: $PDSP/class/fourier_transform/v2.0/ft_cho_0.cc
//

// isip include files
//
#include "fourier_transform.h"
#include "fourier_transform_constants.h"

// method: method_choice_cc
//
// arguments:
//  none.
//
// return: a logical_1 value indicating status
//
logical_1 Fourier_transform::method_choice_cc() {

  // find m in N_d = 2**m
  //
  int_4 m = powof2_cc();

  // check if N_d is a power of two
  //
  if ( m == -1 ){
    printf( "Provide an order which is a power of two\n");
    return ISIP_FALSE;
  }
  
  if ((algorithm_d == FT_RADIX_4_REAL || algorithm_d == FT_RADIX_4_COMPLEX)
      && (m%2 != 0) ) {
    printf( "Radix-4 : Provide an order which is a power of 4. \n" );
    return ISIP_FALSE;
  }
  
  // exit gracefully
  //
  return ISIP_TRUE;
}
