// file: $PDSP/class/fourier_transform/v2.0/ft_comp_1.cc
//

// isip include files
//
#include "fourier_transform.h"
#include "fourier_transform_constants.h"

// method: compute_cc
//
// arguments:
// float_8* real_coeff_a : real part of QFT coeff.
// float_8* imag_coeff_a : imag part of QFT coeff.
// float_8* real_data_a : real part of data
// float_8* imag_data_a : imag part of data
//
// return: a logical_1 value indicating status
//
logical_1 Fourier_transform::compute_cc (float_8* real_coeff_a,
                                         float_8* imag_coeff_a,
                                         float_8* real_data_a,
                                         float_8* imag_data_a) {
  
  // branch on the algorithm
  //
  if (algorithm_d == FT_QFT_REAL) {
    return qft_real_cc(real_coeff_a, imag_coeff_a,real_data_a);
  }
  
  else if (algorithm_d == FT_QFT_COMPLEX){
    return qft_complex_cc(real_coeff_a, imag_coeff_a,real_data_a,imag_data_a);
  }
 
  // exit gracefully
  //
  return ISIP_TRUE;
}
