// file: $PDSP/class/fourier_transform/v2.0/ft_ditf_0.cc
//

// include files
//
#include "fourier_transform.h"
#include "fourier_transform_constants.h"
//#include <float_8/v1.0/float_8.h>

// Global variables to hold the twiddle factors
// get the lookup values
//

// method: ditf_complex_cc
//
// This method is based on the DITF algorithm by Ali Saidi
// found in the 1994 ICASSP Proceedings 
//
// arguments:
//	float_8* output_a : will hold the imaginary output values
//                          and the imaginary input values
//	float_8* input_a : will hold the real output values
//                         holds the real data on input
//
// return: a logical_1 value indicating status
//


logical_1 Fourier_transform::ditf_complex_cc(float_8* input_a,
					  float_8* output_a) {

  // declare local variables
  //
  int_4 i;			  // incremental counter index
  float_8 output_temp_a[N_d];
  float_8 input_temp_a[N_d];

  //  input_a[0]=1;
  //  input_a[1]=1;
  //  input_a[2]=0;
  //  input_a[3]=1;

  //  input_temp_a[0]=0;
  //  input_temp_a[1]=0;
  //  input_temp_a[2]=0;
  //  input_temp_a[3]=0;

  //  output_a[0]=1;
  //  output_a[1]=-1;
  //  output_a[2]=-1;
  //  output_a[3]=0;

  //  output_temp_a[0]=0;
  //  output_temp_a[1]=0;
  //  output_temp_a[2]=0;
  //  output_temp_a[3]=0;

  
  // calculate 0..N/2-1 ditf coefficients
  //
    ditf_real_cc(input_a,output_temp_a);
    printf("\n");
    for (i=0;i<N_d;i=add_cc(i,1)){
      printf("%f   %f\n",input_a[i],output_temp_a[i]);
    }    
    ditf_real_cc(output_a,input_temp_a);
    printf("\n");
    for (i=0;i<N_d;i=add_cc(i,1)){
      printf("%f   %f\n",output_a[i],input_temp_a[i]);
    }    
    for (i=0;i<N_d;i=add_cc(i,1)){
      input_a[i] = sub_cc(input_a[i],input_temp_a[i]);
      output_a[i]= add_cc(output_a[i],output_temp_a[i]);
    }

    // diagnostic printing
    //
    for ( int kk = 0; kk < N_d; kk++ ){
      printf ("%f %f\n", input_a[kk], output_a[kk]);
    }

  // exit gracefully
  //
  return ISIP_TRUE;

}





