// file: $PDSP/class/fourier_transform/v2.0/ft_lookup_0.cc
//

// isip include files
//
#include "fourier_transform.h"
#include "fourier_transform_constants.h"

// method: lookup_cc
//
// arguments:
////  float_8* w1_a : real data array
//  float_8* w2_a : imagi. data array
//
// return: void
//
// implements a real discrete fourier transform
//
logical_1 Fourier_transform::lookup_cc(float_8* w1_a, float_8* w2_a) {
  {
    float_8 phi = 0;
    float_8 wn = (float_8)(ISIP_TWOPI/N_d);
    
    for(int i=1; i<N_d+1; i++)
      
      {
	phi = wn*(i-1);
	w1_a[i-1]=cos(phi);
	w2_a[i-1]=sin(phi);
      }  
  }
  
  // exit gracefully
  //
  return ISIP_TRUE;
}
