// file: $PDSP/class/fourier_transform/v2.0/ft_print_0.cc
//

// isip include files
//
#include "fourier_transform.h"
#include "fourier_transform_constants.h"
 //#include <float_8/v1.0/float_8.h>

// method: print_statistics_cc
//
// arguments:
//  FILE* fp_a: (input) open file pointer for output
//  int_4 stats_a: degree to which statistics are to be printed
//
// return: a logical_1 value indicating status
//
logical_1 Fourier_transform::print_statistics_cc(FILE* fp_a, int_4 stats_a, int_4 num_iter_a) {

  // if cpu-time alone is needed
  //
  if ( stats_a == 0){
    
    // dump the statistics
    //
    fprintf(fp_a, "\nThe algorithm used was %s :\n", algorithm_name_d);
    fprintf(fp_a, "The average cpu time taken per iteration was %10.1f us\n\n",
	    (float_8)((float_8)cpu_time_d/(float_8)num_iter_a));
  }

  // if complete statistics is desired
  //
  else {
    
    // dump the statistics
    //
    fprintf(fp_a, "\nThe algorithm used was %s :\n", algorithm_name_d);
    fprintf(fp_a,
	    "\tThe number of float multiplications per iteration was %ld\n",
	    (int_4)(num_float_mults_d/(float_8)num_iter_a));
    fprintf(fp_a,
	    "\tThe number of float additions per iteration was %ld\n",
	    (int_4)(num_float_adds_d/(float_8)num_iter_a));
    fprintf(fp_a,
	    "\tThe number of integer multiplications per iteration was %ld\n",
	    (int_4)(num_int_mults_d/(float_8)num_iter_a));
    fprintf(fp_a,
	    "\tThe number of integer additions per iteration was %ld\n",
	    (int_4)(num_int_adds_d/(float_8)num_iter_a));
    fprintf(fp_a,
	    "\tThe average cpu time taken per iteration was %10.1f us\n",
	    (float_8)(cpu_time_d/(float_8)num_iter_a));
    fprintf(fp_a,
	    "\tThe number_of_shifts per iteration was %ld\n\n",
	    (int_4)(num_shifts_d/(float_8)num_iter_a));
  }
  
  //exit gracefully
  //
  return ISIP_TRUE;
}
