// file: $PDSP/util/certify/v1.0/cert_get_0.cc
//

// isip include files
//
#include "certify.h"

#include <integral_constants.h>
#include "certify_constants.h"

// method: get_params_cc
//
// arguments:
//  int argc: argc from the main program
//  char** argv: argv from the main program
//  int_4& dbg_level_a: the debug level
//
// return: a logical_1 value indicating status
//
logical_1 get_params_cc(int argc, char** argv, int_4& dbg_level_a) {

  // declare local variable
  //
  char* command_string = new char[ISIP_MAX_STRING_LENGTH];
  
  // decoding loop
  //
  int_4 last_index = argc;
  
  for(int_4 index=1; index<last_index; index++) {

    // pick off debug level
    //
    if (strcmp((char*)CERT_OPT_DBGL, argv[index]) == 0) {
      dbg_level_a = atoi(argv[index+1]);
    }

    // if help asked for display the help screen
    //
    else if (strcmp((char*)CERT_OPT_HELP, argv[index]) == 0) {
      sprintf(command_string, (char*)ISIP_HELP_FORMAT,
	      (char*)CERT_HELP_FILE_NAME);
      system(command_string);
      
      // exit gracefully
      //
      return ISIP_FALSE;
    }    
  }

  // free memory
  //
  delete command_string;
  
  // exit gracefully
  //
  return ISIP_TRUE;
}
