// file: $PDSP/util/compare_fft/v1.1/cf_get_1.cc
//

// isip include files
//
#include <fourier_transform.h>
#include <fourier_transform_constants.h>
#include "compare_fft.h"

// method: get_algo_number_cc
//
// arguments:
//  char_1* algo_name_a: name of the algorithm
//
// return: an int_4 numeric equivalent of the algorithm name
//
int_4 get_algo_number_cc(char_1* algo_name_a) {

  // map the algorithm name to its corresponding number as a fourier
  // transform constant
  //
  if (strcmp((char*)algo_name_a, (char*)FT_DFT_NAME) == (int_4)0) {
    return FT_DFT;
  }
  
  else if (strcmp((char*)algo_name_a, (char*)FT_RADIX_2_NAME) == (int_4)0) {
    return FT_RADIX_2;
  }
  
  else if (strcmp((char*)algo_name_a, (char*)FT_RADIX_4_NAME) == (int_4)0) {
    return FT_RADIX_4;
  }
 
  else if (strcmp((char*)algo_name_a, (char*)FT_FHT_NAME) == (int_4)0) {
    return FT_FHT;
  }
 
  else if (strcmp((char*)algo_name_a, (char*)FT_SRFFT_NAME) == (int_4)0) {
    return FT_SRFFT;
  }
 
  else if (strcmp((char*)algo_name_a, (char*)FT_QFT_NAME) == (int_4)0) {
    return FT_QFT;
  }
  
  else if (strcmp((char*)algo_name_a, (char*)FT_DITF_NAME) == (int_4)0) {
    return FT_DITF;
  }  

  // exit gracefully
  //
  return FT_ERROR;
}
  

