// file: $PDSP/util/fourier_transform/v1.1/compare_fft.h
//
// this is the header for the utility compare_fft
//
 
// make sure definitions are only made once
//
#ifndef __COMPARE_FFT
#define __COMPARE_FFT
 
// isip include files
//
#ifndef __ISIP_INTEGRAL
#include <math/integral/integral.h>
#endif

// define constants
//
#define COMPARE_FFT_HELP_FILE_NAME (char_1*)"$PDSP/util/compare_fft/v1.1/compare_fft.help"
#define DEFAULT_ALGO_STRING (char_1*)"srfft"
#define DEFAULT_ALGO_NAME (int_4)FT_DEFAULT_ALGO_NAME
#define DEFAULT_STATS 0
#define DEFAULT_NUM_ITER 1
#define DEFAULT_DBG_LEVEL 0
#define DEFAULT_ORDER 256
#define DEFAULT_DATA_TYPE (char_1*)"real"

// define external functions
//

// command line parsing routine
//
logical_1 get_params_cc(int argc, char** argv, int_4& order,
			char_1* data_type, int_4& num_iter,
			int_4& dbg_level,int_4& stats,
			char_1* algo_name);

// define command line identifiers
//
#define OPT_ORDER (char_1*)"-order"
#define OPT_DATA_TYPE (char_1*) "-type"
#define OPT_NUM_ITER (char_1*)"-niter"
#define OPT_DBG_LEVEL (char_1*)"-debug"
#define OPT_STATS (char_1*)"-stats"
#define OPT_ALGO_NAME (char_1*)"-algo"
#define OPT_HELP (char_1*)"-help"

// method to map algorithm name to a numeric value
//
int_4 get_algo_number_cc(char_1* algo_name_a);

// end of include file
// 
#endif






