#!/bin/sh

# file: $PDSP/util/make/make_all.sh
#
# this function recursively builds all lower directories. it provides a simpler
# way to do this than imake.
#
# its arguments are:
#
#    make_all.sh pathname make_options...
#
# for example,
#
#    make_all.sh /isip/tools/class install
#
# will make and install all isip classes.
#

# define the location of the make tool
#
ISIP_TOOL="$PDSP/util/make/make_all_dirs.sh";

# if no arguments, use the current working directory
#
if (test $# = "0") then
    DIR=`pwd`;

# else, save the requested directory and shift
#
else
    DIR=$1;
    shift;
fi

# generate a list of all valid lower directories
#
find $DIR -type d -follow -exec $ISIP_TOOL {} $* \;

# exit gracefully
# 
exit 0;

